Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network111.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
111.0.0.0
Broadcast address
111.255.255.255
First usable
111.0.0.1
Last usable
111.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 6F000000 · Integer 1862270976 to 1879048191
Reverse DNS zone
111.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101111..00000000.00000000.00000000111.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01101111..00000000.00000000.00000000111.0.0.0
Broadcast01101111..11111111.11111111.11111111111.255.255.255
Split into smaller subnets/17

111.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1111.0.0.0/17111.0.0.1 to 111.0.127.254111.0.127.25532,766
2111.0.128.0/17111.0.128.1 to 111.0.255.254111.0.255.25532,766
3111.1.0.0/17111.1.0.1 to 111.1.127.254111.1.127.25532,766
4111.1.128.0/17111.1.128.1 to 111.1.255.254111.1.255.25532,766
5111.2.0.0/17111.2.0.1 to 111.2.127.254111.2.127.25532,766
6111.2.128.0/17111.2.128.1 to 111.2.255.254111.2.255.25532,766
7111.3.0.0/17111.3.0.1 to 111.3.127.254111.3.127.25532,766
8111.3.128.0/17111.3.128.1 to 111.3.255.254111.3.255.25532,766
9111.4.0.0/17111.4.0.1 to 111.4.127.254111.4.127.25532,766
10111.4.128.0/17111.4.128.1 to 111.4.255.254111.4.255.25532,766
11111.5.0.0/17111.5.0.1 to 111.5.127.254111.5.127.25532,766
12111.5.128.0/17111.5.128.1 to 111.5.255.254111.5.255.25532,766
13111.6.0.0/17111.6.0.1 to 111.6.127.254111.6.127.25532,766
14111.6.128.0/17111.6.128.1 to 111.6.255.254111.6.255.25532,766
15111.7.0.0/17111.7.0.1 to 111.7.127.254111.7.127.25532,766
16111.7.128.0/17111.7.128.1 to 111.7.255.254111.7.255.25532,766
17111.8.0.0/17111.8.0.1 to 111.8.127.254111.8.127.25532,766
18111.8.128.0/17111.8.128.1 to 111.8.255.254111.8.255.25532,766
19111.9.0.0/17111.9.0.1 to 111.9.127.254111.9.127.25532,766
20111.9.128.0/17111.9.128.1 to 111.9.255.254111.9.255.25532,766
21111.10.0.0/17111.10.0.1 to 111.10.127.254111.10.127.25532,766
22111.10.128.0/17111.10.128.1 to 111.10.255.254111.10.255.25532,766
23111.11.0.0/17111.11.0.1 to 111.11.127.254111.11.127.25532,766
24111.11.128.0/17111.11.128.1 to 111.11.255.254111.11.255.25532,766
25111.12.0.0/17111.12.0.1 to 111.12.127.254111.12.127.25532,766
26111.12.128.0/17111.12.128.1 to 111.12.255.254111.12.255.25532,766
27111.13.0.0/17111.13.0.1 to 111.13.127.254111.13.127.25532,766
28111.13.128.0/17111.13.128.1 to 111.13.255.254111.13.255.25532,766
29111.14.0.0/17111.14.0.1 to 111.14.127.254111.14.127.25532,766
30111.14.128.0/17111.14.128.1 to 111.14.255.254111.14.255.25532,766
31111.15.0.0/17111.15.0.1 to 111.15.127.254111.15.127.25532,766
32111.15.128.0/17111.15.128.1 to 111.15.255.254111.15.255.25532,766
33111.16.0.0/17111.16.0.1 to 111.16.127.254111.16.127.25532,766
34111.16.128.0/17111.16.128.1 to 111.16.255.254111.16.255.25532,766
35111.17.0.0/17111.17.0.1 to 111.17.127.254111.17.127.25532,766
36111.17.128.0/17111.17.128.1 to 111.17.255.254111.17.255.25532,766
37111.18.0.0/17111.18.0.1 to 111.18.127.254111.18.127.25532,766
38111.18.128.0/17111.18.128.1 to 111.18.255.254111.18.255.25532,766
39111.19.0.0/17111.19.0.1 to 111.19.127.254111.19.127.25532,766
40111.19.128.0/17111.19.128.1 to 111.19.255.254111.19.255.25532,766
41111.20.0.0/17111.20.0.1 to 111.20.127.254111.20.127.25532,766
42111.20.128.0/17111.20.128.1 to 111.20.255.254111.20.255.25532,766
43111.21.0.0/17111.21.0.1 to 111.21.127.254111.21.127.25532,766
44111.21.128.0/17111.21.128.1 to 111.21.255.254111.21.255.25532,766
45111.22.0.0/17111.22.0.1 to 111.22.127.254111.22.127.25532,766
46111.22.128.0/17111.22.128.1 to 111.22.255.254111.22.255.25532,766
47111.23.0.0/17111.23.0.1 to 111.23.127.254111.23.127.25532,766
48111.23.128.0/17111.23.128.1 to 111.23.255.254111.23.255.25532,766
49111.24.0.0/17111.24.0.1 to 111.24.127.254111.24.127.25532,766
50111.24.128.0/17111.24.128.1 to 111.24.255.254111.24.255.25532,766
51111.25.0.0/17111.25.0.1 to 111.25.127.254111.25.127.25532,766
52111.25.128.0/17111.25.128.1 to 111.25.255.254111.25.255.25532,766
53111.26.0.0/17111.26.0.1 to 111.26.127.254111.26.127.25532,766
54111.26.128.0/17111.26.128.1 to 111.26.255.254111.26.255.25532,766
55111.27.0.0/17111.27.0.1 to 111.27.127.254111.27.127.25532,766
56111.27.128.0/17111.27.128.1 to 111.27.255.254111.27.255.25532,766
57111.28.0.0/17111.28.0.1 to 111.28.127.254111.28.127.25532,766
58111.28.128.0/17111.28.128.1 to 111.28.255.254111.28.255.25532,766
59111.29.0.0/17111.29.0.1 to 111.29.127.254111.29.127.25532,766
60111.29.128.0/17111.29.128.1 to 111.29.255.254111.29.255.25532,766
61111.30.0.0/17111.30.0.1 to 111.30.127.254111.30.127.25532,766
62111.30.128.0/17111.30.128.1 to 111.30.255.254111.30.255.25532,766
63111.31.0.0/17111.31.0.1 to 111.31.127.254111.31.127.25532,766
64111.31.128.0/17111.31.128.1 to 111.31.255.254111.31.255.25532,766
65111.32.0.0/17111.32.0.1 to 111.32.127.254111.32.127.25532,766
66111.32.128.0/17111.32.128.1 to 111.32.255.254111.32.255.25532,766
67111.33.0.0/17111.33.0.1 to 111.33.127.254111.33.127.25532,766
68111.33.128.0/17111.33.128.1 to 111.33.255.254111.33.255.25532,766
69111.34.0.0/17111.34.0.1 to 111.34.127.254111.34.127.25532,766
70111.34.128.0/17111.34.128.1 to 111.34.255.254111.34.255.25532,766
71111.35.0.0/17111.35.0.1 to 111.35.127.254111.35.127.25532,766
72111.35.128.0/17111.35.128.1 to 111.35.255.254111.35.255.25532,766
73111.36.0.0/17111.36.0.1 to 111.36.127.254111.36.127.25532,766
74111.36.128.0/17111.36.128.1 to 111.36.255.254111.36.255.25532,766
75111.37.0.0/17111.37.0.1 to 111.37.127.254111.37.127.25532,766
76111.37.128.0/17111.37.128.1 to 111.37.255.254111.37.255.25532,766
77111.38.0.0/17111.38.0.1 to 111.38.127.254111.38.127.25532,766
78111.38.128.0/17111.38.128.1 to 111.38.255.254111.38.255.25532,766
79111.39.0.0/17111.39.0.1 to 111.39.127.254111.39.127.25532,766
80111.39.128.0/17111.39.128.1 to 111.39.255.254111.39.255.25532,766
81111.40.0.0/17111.40.0.1 to 111.40.127.254111.40.127.25532,766
82111.40.128.0/17111.40.128.1 to 111.40.255.254111.40.255.25532,766
83111.41.0.0/17111.41.0.1 to 111.41.127.254111.41.127.25532,766
84111.41.128.0/17111.41.128.1 to 111.41.255.254111.41.255.25532,766
85111.42.0.0/17111.42.0.1 to 111.42.127.254111.42.127.25532,766
86111.42.128.0/17111.42.128.1 to 111.42.255.254111.42.255.25532,766
87111.43.0.0/17111.43.0.1 to 111.43.127.254111.43.127.25532,766
88111.43.128.0/17111.43.128.1 to 111.43.255.254111.43.255.25532,766
89111.44.0.0/17111.44.0.1 to 111.44.127.254111.44.127.25532,766
90111.44.128.0/17111.44.128.1 to 111.44.255.254111.44.255.25532,766
91111.45.0.0/17111.45.0.1 to 111.45.127.254111.45.127.25532,766
92111.45.128.0/17111.45.128.1 to 111.45.255.254111.45.255.25532,766
93111.46.0.0/17111.46.0.1 to 111.46.127.254111.46.127.25532,766
94111.46.128.0/17111.46.128.1 to 111.46.255.254111.46.255.25532,766
95111.47.0.0/17111.47.0.1 to 111.47.127.254111.47.127.25532,766
96111.47.128.0/17111.47.128.1 to 111.47.255.254111.47.255.25532,766
97111.48.0.0/17111.48.0.1 to 111.48.127.254111.48.127.25532,766
98111.48.128.0/17111.48.128.1 to 111.48.255.254111.48.255.25532,766
99111.49.0.0/17111.49.0.1 to 111.49.127.254111.49.127.25532,766
100111.49.128.0/17111.49.128.1 to 111.49.255.254111.49.255.25532,766
101111.50.0.0/17111.50.0.1 to 111.50.127.254111.50.127.25532,766
102111.50.128.0/17111.50.128.1 to 111.50.255.254111.50.255.25532,766
103111.51.0.0/17111.51.0.1 to 111.51.127.254111.51.127.25532,766
104111.51.128.0/17111.51.128.1 to 111.51.255.254111.51.255.25532,766
105111.52.0.0/17111.52.0.1 to 111.52.127.254111.52.127.25532,766
106111.52.128.0/17111.52.128.1 to 111.52.255.254111.52.255.25532,766
107111.53.0.0/17111.53.0.1 to 111.53.127.254111.53.127.25532,766
108111.53.128.0/17111.53.128.1 to 111.53.255.254111.53.255.25532,766
109111.54.0.0/17111.54.0.1 to 111.54.127.254111.54.127.25532,766
110111.54.128.0/17111.54.128.1 to 111.54.255.254111.54.255.25532,766
111111.55.0.0/17111.55.0.1 to 111.55.127.254111.55.127.25532,766
112111.55.128.0/17111.55.128.1 to 111.55.255.254111.55.255.25532,766
113111.56.0.0/17111.56.0.1 to 111.56.127.254111.56.127.25532,766
114111.56.128.0/17111.56.128.1 to 111.56.255.254111.56.255.25532,766
115111.57.0.0/17111.57.0.1 to 111.57.127.254111.57.127.25532,766
116111.57.128.0/17111.57.128.1 to 111.57.255.254111.57.255.25532,766
117111.58.0.0/17111.58.0.1 to 111.58.127.254111.58.127.25532,766
118111.58.128.0/17111.58.128.1 to 111.58.255.254111.58.255.25532,766
119111.59.0.0/17111.59.0.1 to 111.59.127.254111.59.127.25532,766
120111.59.128.0/17111.59.128.1 to 111.59.255.254111.59.255.25532,766
121111.60.0.0/17111.60.0.1 to 111.60.127.254111.60.127.25532,766
122111.60.128.0/17111.60.128.1 to 111.60.255.254111.60.255.25532,766
123111.61.0.0/17111.61.0.1 to 111.61.127.254111.61.127.25532,766
124111.61.128.0/17111.61.128.1 to 111.61.255.254111.61.255.25532,766
125111.62.0.0/17111.62.0.1 to 111.62.127.254111.62.127.25532,766
126111.62.128.0/17111.62.128.1 to 111.62.255.254111.62.255.25532,766
127111.63.0.0/17111.63.0.1 to 111.63.127.254111.63.127.25532,766
128111.63.128.0/17111.63.128.1 to 111.63.255.254111.63.255.25532,766
129111.64.0.0/17111.64.0.1 to 111.64.127.254111.64.127.25532,766
130111.64.128.0/17111.64.128.1 to 111.64.255.254111.64.255.25532,766
131111.65.0.0/17111.65.0.1 to 111.65.127.254111.65.127.25532,766
132111.65.128.0/17111.65.128.1 to 111.65.255.254111.65.255.25532,766
133111.66.0.0/17111.66.0.1 to 111.66.127.254111.66.127.25532,766
134111.66.128.0/17111.66.128.1 to 111.66.255.254111.66.255.25532,766
135111.67.0.0/17111.67.0.1 to 111.67.127.254111.67.127.25532,766
136111.67.128.0/17111.67.128.1 to 111.67.255.254111.67.255.25532,766
137111.68.0.0/17111.68.0.1 to 111.68.127.254111.68.127.25532,766
138111.68.128.0/17111.68.128.1 to 111.68.255.254111.68.255.25532,766
139111.69.0.0/17111.69.0.1 to 111.69.127.254111.69.127.25532,766
140111.69.128.0/17111.69.128.1 to 111.69.255.254111.69.255.25532,766
141111.70.0.0/17111.70.0.1 to 111.70.127.254111.70.127.25532,766
142111.70.128.0/17111.70.128.1 to 111.70.255.254111.70.255.25532,766
143111.71.0.0/17111.71.0.1 to 111.71.127.254111.71.127.25532,766
144111.71.128.0/17111.71.128.1 to 111.71.255.254111.71.255.25532,766
145111.72.0.0/17111.72.0.1 to 111.72.127.254111.72.127.25532,766
146111.72.128.0/17111.72.128.1 to 111.72.255.254111.72.255.25532,766
147111.73.0.0/17111.73.0.1 to 111.73.127.254111.73.127.25532,766
148111.73.128.0/17111.73.128.1 to 111.73.255.254111.73.255.25532,766
149111.74.0.0/17111.74.0.1 to 111.74.127.254111.74.127.25532,766
150111.74.128.0/17111.74.128.1 to 111.74.255.254111.74.255.25532,766
151111.75.0.0/17111.75.0.1 to 111.75.127.254111.75.127.25532,766
152111.75.128.0/17111.75.128.1 to 111.75.255.254111.75.255.25532,766
153111.76.0.0/17111.76.0.1 to 111.76.127.254111.76.127.25532,766
154111.76.128.0/17111.76.128.1 to 111.76.255.254111.76.255.25532,766
155111.77.0.0/17111.77.0.1 to 111.77.127.254111.77.127.25532,766
156111.77.128.0/17111.77.128.1 to 111.77.255.254111.77.255.25532,766
157111.78.0.0/17111.78.0.1 to 111.78.127.254111.78.127.25532,766
158111.78.128.0/17111.78.128.1 to 111.78.255.254111.78.255.25532,766
159111.79.0.0/17111.79.0.1 to 111.79.127.254111.79.127.25532,766
160111.79.128.0/17111.79.128.1 to 111.79.255.254111.79.255.25532,766
161111.80.0.0/17111.80.0.1 to 111.80.127.254111.80.127.25532,766
162111.80.128.0/17111.80.128.1 to 111.80.255.254111.80.255.25532,766
163111.81.0.0/17111.81.0.1 to 111.81.127.254111.81.127.25532,766
164111.81.128.0/17111.81.128.1 to 111.81.255.254111.81.255.25532,766
165111.82.0.0/17111.82.0.1 to 111.82.127.254111.82.127.25532,766
166111.82.128.0/17111.82.128.1 to 111.82.255.254111.82.255.25532,766
167111.83.0.0/17111.83.0.1 to 111.83.127.254111.83.127.25532,766
168111.83.128.0/17111.83.128.1 to 111.83.255.254111.83.255.25532,766
169111.84.0.0/17111.84.0.1 to 111.84.127.254111.84.127.25532,766
170111.84.128.0/17111.84.128.1 to 111.84.255.254111.84.255.25532,766
171111.85.0.0/17111.85.0.1 to 111.85.127.254111.85.127.25532,766
172111.85.128.0/17111.85.128.1 to 111.85.255.254111.85.255.25532,766
173111.86.0.0/17111.86.0.1 to 111.86.127.254111.86.127.25532,766
174111.86.128.0/17111.86.128.1 to 111.86.255.254111.86.255.25532,766
175111.87.0.0/17111.87.0.1 to 111.87.127.254111.87.127.25532,766
176111.87.128.0/17111.87.128.1 to 111.87.255.254111.87.255.25532,766
177111.88.0.0/17111.88.0.1 to 111.88.127.254111.88.127.25532,766
178111.88.128.0/17111.88.128.1 to 111.88.255.254111.88.255.25532,766
179111.89.0.0/17111.89.0.1 to 111.89.127.254111.89.127.25532,766
180111.89.128.0/17111.89.128.1 to 111.89.255.254111.89.255.25532,766
181111.90.0.0/17111.90.0.1 to 111.90.127.254111.90.127.25532,766
182111.90.128.0/17111.90.128.1 to 111.90.255.254111.90.255.25532,766
183111.91.0.0/17111.91.0.1 to 111.91.127.254111.91.127.25532,766
184111.91.128.0/17111.91.128.1 to 111.91.255.254111.91.255.25532,766
185111.92.0.0/17111.92.0.1 to 111.92.127.254111.92.127.25532,766
186111.92.128.0/17111.92.128.1 to 111.92.255.254111.92.255.25532,766
187111.93.0.0/17111.93.0.1 to 111.93.127.254111.93.127.25532,766
188111.93.128.0/17111.93.128.1 to 111.93.255.254111.93.255.25532,766
189111.94.0.0/17111.94.0.1 to 111.94.127.254111.94.127.25532,766
190111.94.128.0/17111.94.128.1 to 111.94.255.254111.94.255.25532,766
191111.95.0.0/17111.95.0.1 to 111.95.127.254111.95.127.25532,766
192111.95.128.0/17111.95.128.1 to 111.95.255.254111.95.255.25532,766
193111.96.0.0/17111.96.0.1 to 111.96.127.254111.96.127.25532,766
194111.96.128.0/17111.96.128.1 to 111.96.255.254111.96.255.25532,766
195111.97.0.0/17111.97.0.1 to 111.97.127.254111.97.127.25532,766
196111.97.128.0/17111.97.128.1 to 111.97.255.254111.97.255.25532,766
197111.98.0.0/17111.98.0.1 to 111.98.127.254111.98.127.25532,766
198111.98.128.0/17111.98.128.1 to 111.98.255.254111.98.255.25532,766
199111.99.0.0/17111.99.0.1 to 111.99.127.254111.99.127.25532,766
200111.99.128.0/17111.99.128.1 to 111.99.255.254111.99.255.25532,766
201111.100.0.0/17111.100.0.1 to 111.100.127.254111.100.127.25532,766
202111.100.128.0/17111.100.128.1 to 111.100.255.254111.100.255.25532,766
203111.101.0.0/17111.101.0.1 to 111.101.127.254111.101.127.25532,766
204111.101.128.0/17111.101.128.1 to 111.101.255.254111.101.255.25532,766
205111.102.0.0/17111.102.0.1 to 111.102.127.254111.102.127.25532,766
206111.102.128.0/17111.102.128.1 to 111.102.255.254111.102.255.25532,766
207111.103.0.0/17111.103.0.1 to 111.103.127.254111.103.127.25532,766
208111.103.128.0/17111.103.128.1 to 111.103.255.254111.103.255.25532,766
209111.104.0.0/17111.104.0.1 to 111.104.127.254111.104.127.25532,766
210111.104.128.0/17111.104.128.1 to 111.104.255.254111.104.255.25532,766
211111.105.0.0/17111.105.0.1 to 111.105.127.254111.105.127.25532,766
212111.105.128.0/17111.105.128.1 to 111.105.255.254111.105.255.25532,766
213111.106.0.0/17111.106.0.1 to 111.106.127.254111.106.127.25532,766
214111.106.128.0/17111.106.128.1 to 111.106.255.254111.106.255.25532,766
215111.107.0.0/17111.107.0.1 to 111.107.127.254111.107.127.25532,766
216111.107.128.0/17111.107.128.1 to 111.107.255.254111.107.255.25532,766
217111.108.0.0/17111.108.0.1 to 111.108.127.254111.108.127.25532,766
218111.108.128.0/17111.108.128.1 to 111.108.255.254111.108.255.25532,766
219111.109.0.0/17111.109.0.1 to 111.109.127.254111.109.127.25532,766
220111.109.128.0/17111.109.128.1 to 111.109.255.254111.109.255.25532,766
221111.110.0.0/17111.110.0.1 to 111.110.127.254111.110.127.25532,766
222111.110.128.0/17111.110.128.1 to 111.110.255.254111.110.255.25532,766
223111.111.0.0/17111.111.0.1 to 111.111.127.254111.111.127.25532,766
224111.111.128.0/17111.111.128.1 to 111.111.255.254111.111.255.25532,766
225111.112.0.0/17111.112.0.1 to 111.112.127.254111.112.127.25532,766
226111.112.128.0/17111.112.128.1 to 111.112.255.254111.112.255.25532,766
227111.113.0.0/17111.113.0.1 to 111.113.127.254111.113.127.25532,766
228111.113.128.0/17111.113.128.1 to 111.113.255.254111.113.255.25532,766
229111.114.0.0/17111.114.0.1 to 111.114.127.254111.114.127.25532,766
230111.114.128.0/17111.114.128.1 to 111.114.255.254111.114.255.25532,766
231111.115.0.0/17111.115.0.1 to 111.115.127.254111.115.127.25532,766
232111.115.128.0/17111.115.128.1 to 111.115.255.254111.115.255.25532,766
233111.116.0.0/17111.116.0.1 to 111.116.127.254111.116.127.25532,766
234111.116.128.0/17111.116.128.1 to 111.116.255.254111.116.255.25532,766
235111.117.0.0/17111.117.0.1 to 111.117.127.254111.117.127.25532,766
236111.117.128.0/17111.117.128.1 to 111.117.255.254111.117.255.25532,766
237111.118.0.0/17111.118.0.1 to 111.118.127.254111.118.127.25532,766
238111.118.128.0/17111.118.128.1 to 111.118.255.254111.118.255.25532,766
239111.119.0.0/17111.119.0.1 to 111.119.127.254111.119.127.25532,766
240111.119.128.0/17111.119.128.1 to 111.119.255.254111.119.255.25532,766
241111.120.0.0/17111.120.0.1 to 111.120.127.254111.120.127.25532,766
242111.120.128.0/17111.120.128.1 to 111.120.255.254111.120.255.25532,766
243111.121.0.0/17111.121.0.1 to 111.121.127.254111.121.127.25532,766
244111.121.128.0/17111.121.128.1 to 111.121.255.254111.121.255.25532,766
245111.122.0.0/17111.122.0.1 to 111.122.127.254111.122.127.25532,766
246111.122.128.0/17111.122.128.1 to 111.122.255.254111.122.255.25532,766
247111.123.0.0/17111.123.0.1 to 111.123.127.254111.123.127.25532,766
248111.123.128.0/17111.123.128.1 to 111.123.255.254111.123.255.25532,766
249111.124.0.0/17111.124.0.1 to 111.124.127.254111.124.127.25532,766
250111.124.128.0/17111.124.128.1 to 111.124.255.254111.124.255.25532,766
251111.125.0.0/17111.125.0.1 to 111.125.127.254111.125.127.25532,766
252111.125.128.0/17111.125.128.1 to 111.125.255.254111.125.255.25532,766
253111.126.0.0/17111.126.0.1 to 111.126.127.254111.126.127.25532,766
254111.126.128.0/17111.126.128.1 to 111.126.255.254111.126.255.25532,766
255111.127.0.0/17111.127.0.1 to 111.127.127.254111.127.127.25532,766
256111.127.128.0/17111.127.128.1 to 111.127.255.254111.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses